Qyra
ReferenceProjects

List charts in project

List all charts in a project

GET/api/v1/projects/{projectUuid}/charts

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYesThe uuid of the project to get charts for

Responses

200 — Success

{
  "results": [
    {
      "name": "string",
      "description": "string",
      "slug": "string",
      "dashboardSlug": "string",
      "uuid": "string",
      "organizationUuid": "string",
      "projectUuid": "string",
      "pinnedListUuid": "string",
      "spaceUuid": "string",
      "spaceName": "string",
      "dashboardUuid": "string",
      "dashboardName": "string",
      "source": "dbt_explore",
      "chartKind": "line",
      "chartType": "cartesian",
      "updatedAt": "2024-01-01T00:00:00.000Z",
      "pinnedListOrder": 0,
      "updatedByUser": {
        "userUuid": "string",
        "firstName": "string",
        "lastName": "string"
      },
      "firstViewedAt": "2024-01-01T00:00:00.000Z",
      "views": 0,
      "verification": {
        "verifiedAt": "2024-01-01T00:00:00.000Z",
        "verifiedBy": {
          "lastName": "string",
          "firstName": "string",
          "userUuid": "string"
        }
      },
      "validationErrors": [
        {
          "error": "string",
          "createdAt": "2024-01-01T00:00:00.000Z",
          "validationUuid": "string",
          "validationId": 0
        }
      ]
    }
  ],
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}